package com.bsmlab.dfx.agent.support.exception;

public class IllegalMessageException extends DfxException {
    public IllegalMessageException(String additionalMessage) {
        super(additionalMessage);
    }

    @Override
    public String getMessage() {
        return "cannot parse json message." + this.additionalMessage;
    }

    @Override
    public String getLocalizedMessage() {
        return "json 메시지를 파싱할 수 없습니다." + this.additionalMessage;
    }
}
